<script lang="ts">
  import type { IComponent } from "./interfaces/IComponent";
  import type { Area } from "./enums/Area";
  import type { Theme } from "./enums/Theme";
  import { LayerType } from "./enums/LayerType";

  import ProfileComponentLayer from "./ProfileComponentLayer.svelte";
  import ProfileHeadingDecoration from "./ProfileHeadingDecoration.svelte";
  

  export interface IProfileHeading extends IComponent {
    area: Area;
    theme: Theme;
    label?: string;
  }

  export let classes: string = "";
  export let label: string = "";
  export let area: Area;
  export let theme: Theme;

  let classNames: string[];

  $: classNames.push();

  $: classNames = classes?.split(" ") ?? [];

  $: classNames = classNames;

</script>

<ProfileHeadingDecoration {area} >
  <ProfileComponentLayer {theme} type={LayerType.Heading}>
    <slot>{label}</slot>
  </ProfileComponentLayer>
</ProfileHeadingDecoration>